# Risk Insights ## List risk insights - [GET /api/risk-insights/](https://developers.belvo.com/apis/belvoopenapispec/risk-insights/listriskinsights.md): ## ▶️ Usage With the List Risk Insights method, you can: 1. List risk insights related to a specific link.id (using the link query parameter). 2. Get the details of a specific risk-insight.id (using the id query parameter). 3. [Not Recommended] List all risk insights related to your Belvo account (without using any query parameters). ## 📖 Pagination This method returns a paginated response (default: 100 items per page). You can use the page_size query parameter to increase the number of items returned to a maximum of 1000 items. You can use the page query parameter to navigate through the results. For more details on how to navigate Belvo's paginated responses, see our Pagination Tips article. ## 🔦 Filtering Responses Please see the query list below for a list of fields that you can filter your responses by. For more information on how to use filters, see our Filtering responses article. ## Retrieve risk insights for a link - [POST /api/risk-insights/](https://developers.belvo.com/apis/belvoopenapispec/risk-insights/retrieveriskinsights.md): Request the risk insights for a given link ID. If you need to know the currency of the account, just do a GET Details to the accounts endpoint (using the ID you receive from the accounts response). ## Complete a risk insights request - [PATCH /api/risk-insights/](https://developers.belvo.com/apis/belvoopenapispec/risk-insights/patchriskinsights.md): Used to resume an Risk insights retrieve session that was paused because an MFA token was required by the institution. ## Get a risk insight's details - [GET /api/risk-insights/{id}/](https://developers.belvo.com/apis/belvoopenapispec/risk-insights/detailriskinsights.md): Get the details of a specific risk insight. ## Delete a risk insight - [DELETE /api/risk-insights/{id}/](https://developers.belvo.com/apis/belvoopenapispec/risk-insights/destroyriskinsights.md): Delete a specific risk insight from your Belvo account.